| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputStage.Analog Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.Analog:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | set_register (self, str or int register_name_or_id, value)
def | SetUnit (self, value)
def | GetUnit (self)
def | GetMinimum (self)
def | GetMaximum (self)
def | GetMappingMinimum (self)
def | GetMappingMaximum (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| unit
| minimum
| maximum
| mapping_minimum
| mapping_maximum
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Input Channel Systems - Analog Input
    System ID: 0x58 through 0x5f

    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name  | Id   | Type        | Unit               | Range       | Default | Comment                |
    +================+======+=============+====================+=============+=========+========================+
    | unit           |0x01  | uint 32-bit | None               |0 to 2       | 0       | See registers table 1  |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | minimm         |0x02  | float 32-bit| Volt               |             | 0       |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | maximum        |0x03  | float 32-bit| Volt               |             | 0       |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |mapping_minimum |0x04  | float 32-bit| A / None / Degrees |             | 0       | Unit depends on 0x0301 |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |mapping_maximum |0x05  | float 32-bit| A / None / Degrees |             | 0       | Unit depends on 0x0301 |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+

    registers table 1:

    +---------------------+-------+
    | Analogue Input Unit | Value |
    +=====================+=======+
    | Current             | 0     |
    +---------------------+-------+
    | OF                  | 1     |
    +---------------------+-------+
    | XY                  | 2     |
    +---------------------+-------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.Analog.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetMappingMaximum()

def optoKummenberg.registers.InputStage.Analog.GetMappingMaximum | ( |  | self | ) |

## ◆ GetMappingMinimum()

def optoKummenberg.registers.InputStage.Analog.GetMappingMinimum | ( |  | self | ) |

## ◆ GetMaximum()

def optoKummenberg.registers.InputStage.Analog.GetMaximum | ( |  | self | ) |

## ◆ GetMinimum()

def optoKummenberg.registers.InputStage.Analog.GetMinimum | ( |  | self | ) |

## ◆ GetUnit()

def optoKummenberg.registers.InputStage.Analog.GetUnit | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.InputStage.Analog.help | ( |  | ) |
| static

## ◆ set_register()

def optoKummenberg.registers.InputStage.Analog.set_register | ( |  | self,
|  | str or int | register_name_or_id,
|  |  | value
| ) |  |

## ◆ SetUnit()

def optoKummenberg.registers.InputStage.Analog.SetUnit | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ mapping_maximum

optoKummenberg.registers.InputStage.Analog.mapping_maximum

## ◆ mapping_minimum

optoKummenberg.registers.InputStage.Analog.mapping_minimum

## ◆ maximum

optoKummenberg.registers.InputStage.Analog.maximum

## ◆ minimum

optoKummenberg.registers.InputStage.Analog.minimum

## ◆ name

optoKummenberg.registers.InputStage.Analog.name

## ◆ sys_id

optoKummenberg.registers.InputStage.Analog.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.Analog.unit

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/InputStage.py